1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Need help bad please

Discussion in 'Sony PSP - Mod and firmware discussion' started by BryanW17, Apr 22, 2007.

  1. BryanW17

    BryanW17 Member

    Joined:
    Apr 22, 2007
    Messages:
    4
    Likes Received:
    0
    Trophy Points:
    11
    I have a psp w/ 1.5 fw on it. I am curently using devhook .52 on it and i cant get ne of my isos to play off it because they require 3.03 to play my games i downloaded I can see them under the game tab as if the umd was loaded but it was i need to update my psp i c all this stuff about custom firmware but wat should i do if i want to play downloaded isos and play snes on it ?plz help me
     
  2. BryanW17

    BryanW17 Member

    Joined:
    Apr 22, 2007
    Messages:
    4
    Likes Received:
    0
    Trophy Points:
    11
    can ne one plz help me
     
  3. MetalGeat

    MetalGeat Regular member

    Joined:
    Mar 12, 2007
    Messages:
    616
    Likes Received:
    0
    Trophy Points:
    26
    Dude the best advice for you would to be forget devhook and upgrade to a custom firmware! :)
     
  4. PeaInAPod

    PeaInAPod Active member

    Joined:
    Nov 28, 2005
    Messages:
    3,065
    Likes Received:
    0
    Trophy Points:
    66
    I will provide links to the custom firmware easy installer that is best for you. Answer these questions and I'll post it.

    1)Do you like to customize your PSP? (icons, menu, etc?)
    2)Are you interested in playing PS1 games on your PSP?
    3)What feature of your PSP ver. 1.5 is most important to you?


    And with the customfirmware it has a feature called "Recovery Mode" that will allow you to save your PSP should it ever be bricked. Granted it may not work but I personally have never heard of it now being able to save the bricked PSP.
     
  5. BryanW17

    BryanW17 Member

    Joined:
    Apr 22, 2007
    Messages:
    4
    Likes Received:
    0
    Trophy Points:
    11
    I want to play iso and csos i want to also be able to customize my menu if its not to difficult i would b interested in playing ps1 games and also use the internet on it and play emulators
     
  6. ggbarnum

    ggbarnum Regular member

    Joined:
    Apr 14, 2006
    Messages:
    1,432
    Likes Received:
    0
    Trophy Points:
    46
    Just upgrade to 3.40 oe-a, it will do everything you want it too and is the latest firmware, but if you want to use a winstaller to simplify the process then upgrade to 3.03oec.
     
  7. PeaInAPod

    PeaInAPod Active member

    Joined:
    Nov 28, 2005
    Messages:
    3,065
    Likes Received:
    0
    Trophy Points:
    66
    Normally I would recommend the latest custom firmware but I have noticed that a good many people who have upgraded have been having customization issues. But it does offer the latest in PS1 game playing compatibility, allows customization, and emulator usage. So even though there may be some bugs right now with customization I would say go with 3.40 OE-A.
     
  8. PeaInAPod

    PeaInAPod Active member

    Joined:
    Nov 28, 2005
    Messages:
    3,065
    Likes Received:
    0
    Trophy Points:
    66
    lol, forgot to include the links I have for 3.40 OE-A in my last reply! Here is a link to download the newest firmware, http://exophase.com/files/psp/340_oea.rar , this will have to be installed the manual way. I also stumled across this, http://www.psp-spot.com/t38950.html , which appears to be a easy installer for 3.40 OE-A. I can not verify the legitimacy of the easy installer though.
     

Share This Page